Table of Contents

## Name

im_lowpass - remove high frequencies quickly

## Synopsis

#include <vips/vips.h>

int im_lowpass(in, out, x, y)
IMAGE *in, *out;
int x, y;

## Description

Expand image up to X by Y pixels. Linear interpolation. Used by lowpass(1X) for simple and nasty low-pass filtering. The result is very poor, but good enough for smoothing out whites. Any number of bands, output size == input size, any non-complex type.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_shrink(3) , im_similarity_area(3) .

## Copyright

National Gallery

## Author

Too embarrassed to say

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author